## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToHtmlLiteralLayoutHandler

### Document::ezcDocumentDocbookToHtmlLiteralLayoutHandler

### Class ezcDocumentDocbookToHtmlLiteralLayoutHandler

Visit literallayout elements

Literallayout elements are used for code blocks in docbook, where normally some fixed width font is used, but also for poems or simliarly formatted texts. In HTML those are represented by entirely different structures. Code blocks will be transformed into

Source for this file: /Document/src/converters/element_visitor/docbook/xhtml/literal_layout.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToHtmlBaseHandler
          |
          --ezcDocumentDocbookToHtmlLiteralLayoutHandler

Version: | //autogen//

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToHtmlBaseHandler
protected DOMElement | `ezcDocumentDocbookToHtmlBaseHandler::getHead()` Get head of HTML document
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3